# boost::numeric::ublas::basic_full< Z > Struct Template Reference

List of all members.

## Public Types

typedef Z | size_type

## Static Public Member Functions

template<class L >
static BOOST_UBLAS_INLINE size_type | packed_size (L, size_type size_i, size_type size_j)
static BOOST_UBLAS_INLINE bool | zero (size_type, size_type)
static BOOST_UBLAS_INLINE bool | one (size_type, size_type)
static BOOST_UBLAS_INLINE bool | other (size_type, size_type)
static BOOST_UBLAS_INLINE size_type | restrict1 (size_type i, size_type)
static BOOST_UBLAS_INLINE size_type | restrict2 (size_type, size_type j)
static BOOST_UBLAS_INLINE size_type | mutable_restrict1 (size_type i, size_type)
static BOOST_UBLAS_INLINE size_type | mutable_restrict2 (size_type, size_type j)

### template<class Z>
struct boost::numeric::ublas::basic_full< Z >